=== components/hapticsplugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

qt_add_dbus_interfaces(DBUS_SRCS dbus/com.lomiri.hfd.xml)

ecm_add_qml_module(hapticsplugin URI org.kde.plasma.private.mobileshell.hapticsplugin GENERATE_PLUGIN_SOURCE)
target_sources(hapticsplugin PRIVATE
    vibrationmanager.cpp
    ${DBUS_SRCS}
)

target_link_libraries(hapticsplugin PRIVATE
    Qt::Qml
    Qt::DBus
    KF6::CoreAddons
    KF6::I18n
)

ecm_finalize_qml_module(hapticsplugin)
