=== debian/changelog ===
plasma-mobile (6.3.6-4) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.

  [ Pino Toscano ]
  * Update plasma-mobile.install according to the newer kpackage, which does not
    generate appstream metainfo files for packages anymore. (Closes: #1117364)
  * Trim trailing whitespace.
  * Re-export upstream signing key without extra signatures.

 -- Pino Toscano <pino@debian.org>  Thu, 16 Oct 2025 21:05:18 +0200

plasma-mobile (6.3.6-3) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * More fix incorrect backport of:
    - notification list: fix notification scrolling within action drawer and
    lockscreen. [e4323f4e]

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Jul 2025 20:24:22 +0200

plasma-mobile (6.3.6-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Fix incorrect backport of:
    - notification list: fix notification scrolling within action drawer and
    lockscreen. [e4323f4e]

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Jul 2025 08:34:48 +0200

plasma-mobile (6.3.6-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (6.3.6).
    - Envmanager: Use BorderlessMaximizedWindows option.
    - Shell: Fix Compact applet display popup when fullRepresentation is null.
    - Homescreens/folio: Block propagation if edit mode is active to avoid
    widget to trigger event.
    - Load minimized Quicksettings as Async.
    - Paginatemodel: Avoid to disconnect if model is the same because it's not
    reconnected after.
    - Fix mistake on paginatemodel.
    - Quicksettings: Use synchrone component loading instead of asynchrone to
    avoid concurrent bug.
    - Envmanager: Write options as immutable, and add kdeglobals.
    - Envmanager: Add overlay configs through XDG_CONFIG_DIRS.
    - Taskswitcher: Fix task close icon colour in light mode.
    - Folio: Ensure y anim signals don't get emitted if value didn't change.
    - Notifications: Fix do-not-disturb.
    - Notifications: Don't factor action drawer state in expiry.
    - Notifications: do not expire notificationa after invoking action.
  * Backport upstream commits:
    - bin: Don't force QT_QPA_PLATFORM=wayland so apps that prefer x11 can use
    it similar to what the desktop session does. [8b8c9585]
    - applicationlistmodel: Space out application list refreshes to avoid log
    spam and freezes. [7d9054f7]
    - Disables unexpected gesture navigation activating the task switcher when
    Action Drawer, Notification Popup Drawer, or VolumeOSD are visible
    [013d0345]
    - GestureNavigation: Fix Action Drawer State being out of Sync on First
    Start. [9707f503]
    - folio: Fix recurring AppDelegate null errors in the logs. [c5f0d15b]
    - notification list: fix notification scrolling within action drawer and
    lockscreen. [e4323f4e]
    - statusbar: Don't show internet icon and network loading indicator at
    same time. [23797660]
    - modem manager plugin: Make calls nonblocking to not freeze UI when
    called. [6e0dca97]
    - Folio: Fix Settings Component drawer bug where it can end up displayed
    at the same time as the application drawer. [a452bc30]
  * Relax inter-plasma versioned dependency constraint so we can upload
    only 6.3.6 packages that have actual code changes.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 22 Jul 2025 17:56:43 +0200

plasma-mobile (6.3.5-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (6.3.5).
    - Wallpaperselector: Fix delegate dimensions and icon color.
    - Taskpanel: Fix rotate button showing with autorotate.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 May 2025 01:24:48 +0200

plasma-mobile (6.3.4-1) unstable; urgency=medium

  * New upstream release (6.3.4).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Add kde-config-mobile-networking to Replaces. (Closes: #1100380)
  * Add/update Jonathan Esk-Riddell’s key in upstream keyring.
  * Update d/plasma-mobile.install after upstream changes.
  * Fix d/copyright after lintian warnings.

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sat, 05 Apr 2025 20:54:41 +0200
