## plasma-mobile 6.4.4

=== debian/changelog ===
plasma-mobile (6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)
  * Build depend on libdrm-dev
  * Build depend on libkpipewire-dev

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:30:40 +0100
