=== kcms/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

add_subdirectory(mobileshell)
add_subdirectory(info)
add_subdirectory(time)
add_subdirectory(virtualkeyboard)
