=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                dh-sequence-sodeps,
                extra-cmake-modules (>= 6.14.0~),
                kirigami-addons-dev (>= 0.6~),
-               kwayland-dev (>= 4:6.4.4~),
-               kwin-dev (>= 4:6.4.4~),
+               kwayland-dev (>= 4:6.4.5~),
+               kwin-dev (>= 4:6.4.5~),
                libdrm-dev,
                libepoxy-dev,
                libglib2.0-dev,
@@ -34,23 +34,23 @@
                libkf6notifications-dev (>= 6.14.0~),
                libkf6package-dev (>= 6.14.0~),
                libkf6service-dev (>= 6.14.0~),
-               libkpipewire-dev (>= 6.4.4~),
-               libkscreen-dev (>= 4:6.4.4~),
-               liblayershellqtinterface-dev (>= 6.4.4~),
-               libplasma-dev (>= 6.4.4~),
-               libplasma5support-dev (>= 4:6.4.4~),
-               libplasmaactivities-dev (>= 6.4.4~),
+               libkpipewire-dev (>= 6.4.5~),
+               libkscreen-dev (>= 4:6.4.5~),
+               liblayershellqtinterface-dev (>= 6.4.5~),
+               libplasma-dev (>= 6.4.5~),
+               libplasma5support-dev (>= 4:6.4.5~),
+               libplasmaactivities-dev (>= 6.4.5~),
                libudev-dev,
                libxcb1-dev,
-               milou (>= 4:6.4.4~),
+               milou (>= 4:6.4.5~),
                pkg-kde-tools,
                pkgconf,
-               plasma-nano (>= 6.4.4~),
-               plasma-nm (>= 4:6.4.4~),
-               plasma-pa (>= 4:6.4.4~),
-               plasma-workspace-dev (>= 4:6.4.4~),
+               plasma-nano (>= 6.4.5~),
+               plasma-nm (>= 4:6.4.5~),
+               plasma-pa (>= 4:6.4.5~),
+               plasma-workspace-dev (>= 4:6.4.5~),
                qcoro-qt6-dev,
-               qml6-module-org-kde-pipewire (>= 6.4.4~),
+               qml6-module-org-kde-pipewire (>= 6.4.5~),
                qt6-base-dev (>= 6.8.0~),
                qt6-declarative-dev (>= 6.8.0~),
                qt6-declarative-private-dev (>= 6.8.0~),
