## plasma-mobile 6.4.5+p24.04+vstable+git20251004.0932

=== debian/changelog ===
plasma-mobile (6.4.5+p24.04+vstable+git20251004.0932-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 09:32:06 +0000

plasma-mobile (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:46:07 +0000

plasma-mobile (6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:28:42 +0000
