## plasma-mobile 6.4.5+p24.04+vstable+git20251012.0117

=== debian/changelog ===
plasma-mobile (6.4.5+p24.04+vstable+git20251012.0117-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 01:17:54 +0000
