## plasma-mobile 6.4.5+p24.04+vstable+git20251020.1006

=== debian/changelog ===
plasma-mobile (6.4.5+p24.04+vstable+git20251020.1006-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 10:06:51 +0000
