=== debian/changelog ===
plasma-mobile (6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Add myself to the uploaders.
  * Drop backported commits now part of the upstream release.
  * Update the list of installed files.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Oct 2025 22:48:34 +0200
